PXCLTR(1)

NAME
pxcltr - general tree cleaner

SYNOPSIS
pxcltr [OPTIONS]...

DESCRIPTION
General tree cleaner. Removes annotations (node labels), 'knuckles' (2-degree nodes), and root edges to generate a 'vanilla' newick representation. By default removes all properties. Alternatively choose 1 property. This will take a newick- or nexus-formatted tree from a file or STDIN. Output is written in newick format.

OPTIONS

-t, --treef=FILE
    input treefile, STDIN otherwise

-r, --root
    remove root edge (if present)

-l, --labels
    remove internal node labels

-k, --knuckles
    remove 2-degree internal nodes

-o, --outf=FILE
    output file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Joseph W. Brown

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2017-2024 FePhyFoFum License GPLv3